using System;
using System.Collections.Generic;
using System.Text;

namespace DotNetLibs.Samples
{
	/// <summary>
	/// Exception class used by DotNetLibs samples to report errors.
	/// </summary>
	public class SampleException : Exception
	{
		/// <summary>
		/// Create a new instance of SampleException.
		/// </summary>
		/// <param name="message">The message that describes the error.</param>
		public SampleException(string message) : base(message) { }

		/// <summary>
		/// Create a new instance of SampleException.
		/// </summary>
		/// <param name="message">The message that describes the error.</param>
		/// <param name="innerException">The exception that is the cause of the current exception, 
		/// or a null reference (Nothing in Visual Basic) if no inner exception is specified.</param>
		public SampleException(string message, Exception innerException) : base(message, innerException) { }
	}
}
